class_name Item

# Enum Types
enum ItemType {
  NULL,
  
  MEDICINE,
  KEY_ITEM,
}

# Properties
var itemType:ItemType
var key:String

# Item Constructor
func _init(key:String, itemType:ItemType) -> void:
  self.key = key
  self.itemType = itemType

func getName() -> String:
  # For now just return key
  return self.key

# Item Table
static var NULL:Item = Item.new("NULL", ItemType.NULL)
static var POTION:Item = Item.new("POTION", ItemType.MEDICINE)